"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Triggers a callback and maintains cancellation context.
 * @ignore
 */
class CancelCB {
    constructor(cb, fn, args) {
        this.isCancelled = false;
        cb(this.onTick, this, fn, args);
    }
    cancel() {
        this.isCancelled = true;
    }
    onTick(ctx, fn, args) {
        if (!ctx.isCancelled) {
            fn.apply(undefined, args);
        }
    }
}
exports.CancelCB = CancelCB;
