"use strict";
/**
 * Created by tushar on 2019-03-26
 */
Object.defineProperty(exports, "__esModule", { value: true });
const checked_exceptions_1 = require("checked-exceptions");
/**
 * Exception thrown when the test scheduler keeps running for a really long time.
 * @type ErrorConstructor
 * @ignore
 */
exports.BailoutError = checked_exceptions_1.check('BailoutError', (duration) => `bailed out after ${duration}ms`);
/**
 * Bails out as soon as enough time is spent in doing some computation
 * @param maxDuration
 * @constructor
 */
exports.Bailout = (maxDuration) => {
    const start = Date.now();
    return () => {
        if (Date.now() - start < maxDuration) {
            return true;
        }
        throw new exports.BailoutError(maxDuration);
    };
};
