"use strict";
/**
 * Created by tushar on 2019-03-31
 */
Object.defineProperty(exports, "__esModule", { value: true });
const in_node_1 = require("in-node");
/**
 * Promise based ticker
 * @ignore
 */
exports.promiseThen = (cb, ...t) => Promise.resolve(t).then(args => cb(...args));
/**
 * process.nextTick based ticker
 * @ignore
 */
exports.processNextTick = (cb, ...t) => process.nextTick(cb, ...t);
/**
 * Extracts the most efficient ticker based on the env
 * @ignore
 */
exports.GetTicker = () => {
    return in_node_1.inNode ? exports.processNextTick : exports.promiseThen;
};
